com.mapinfo.midev.data

## Interface ICreatableDataSource

All Known Implementing Classes:
  NativeDataSource

    public interface ICreatableDataSource

An interface that provides method to create table.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `createTable(AttributeDefinitionCollection attributeDefinitions, PrimaryKeyMetadata primaryKeyMetadata, ITableDefinition tableDefinition)` create a table using the information related to column, primary key and destination data formats.

### Method Detail

#### createTable

    void createTable(AttributeDefinitionCollection attributeDefinitions,
                     PrimaryKeyMetadata primaryKeyMetadata,
                     ITableDefinition tableDefinition)

create a table using the information related to column, primary key and destination data formats.

Parameters:
  `attributeDefinitions` - AttributeDefinitionCollection object that contains column metadata
  `primaryKeyMetadata` - PrimaryKeyMetadata object that describes the primary key of the table
  `tableDefinition` - tableDefinition object that defines the properties and settings for creating table. It can contain reference to Tab file or other destination formats.